Get an AI integration
Get a specific AI integration by its ID.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique AI integration identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
An AI integration object
An AI integration configures access to an external LLM provider (e.g. OpenAI, Azure OpenAI, AWS Bedrock, Vertex AI). Integrations can be scoped to the entire account, a specific organization, or a specific space.
The integration ID
The integration name
The AI provider for this integration
openAI, azureOpenAI, awsBedrock, vertexAI, anthropic, custom, nvidiaNim, gemini Whether an API key is configured (the key itself is never returned)
Whether the provider's default model list is enabled
Whether function/tool calling is enabled
The authentication method for this integration
default, proxy_with_headers, bearer_token Visibility scoping rules
When the integration was created
When the integration was last updated
The user ID of the user who created the integration
Custom base URL for the provider
Supported model names
Custom headers included in requests
AWS Bedrock provider metadata
- Option 1
- Option 2